CREATE
	TABLE notes
	(
		creation INTEGER PRIMARY KEY,
		last_modification INTEGER,
		user_last_modification INTEGER,
		show_date INTEGER,
		status INTEGER,
		new_data TEXT,
		title TEXT,
		content TEXT,
		archived INTEGER,
		trashed INTEGER,
		alarm INTEGER DEFAULT null,
        reminder_fired INTEGER,
		recurrence_rule TEXT,
		latitude REAL,
		longitude REAL,
		address TEXT,
		richText TEXT,
		useRichText INTEGER,
		category_id INTEGER DEFAULT null,
		locked INTEGER,  
		pined INTEGER,
		sticky_color TEXT,
		sticky_type INTEGER,
		font_name TEXT,
		checklist  INTEGER,
		calendar INTEGER,
		pattern TEXT,
		tags TEXT,
		favorite INTEGER,
		app_version_code INTEGER,
		check_size INTEGER,
		bgId INTEGER
	);

CREATE
	TABLE attachments
	(
		attachment_id INTEGER PRIMARY KEY AUTOINCREMENT,
		uri TEXT,
		name TEXT,
		size INTEGER,
		length INTEGER,
		mime_type TEXT,
		order_id INTEGER,
		sort_id INTEGER,
		note_id INTEGER
	);

CREATE
	TABLE categories
	(
		category_id INTEGER PRIMARY KEY,
		name TEXT,
		description TEXT,
		color TEXT,
		cate_lock INTEGER
	);

CREATE
	TABLE custom_bg
	(
		creation INTEGER PRIMARY KEY,
		last_modification INTEGER,
		uri TEXT,
		color TEXT,
		pined INTEGER,
		dark_bg INTEGER,
		status INTEGER
	);

CREATE
	TABLE res_config
	(
		id INTEGER PRIMARY KEY,
		version INTEGER,
		type INTEGER,
		data TEXT
	);