CREATE
	TABLE note_new
	(
		note_id INTEGER PRIMARY KEY,
		create_time INTEGER,
		user_last_modify_time INTEGER,
		system_last_modify_time INTEGER,
		trash_delete_time INTEGER,
		pin_time INTEGER,

		note_type INTEGER,
		note_status INTEGER,
		is_favorite INTEGER,
		is_locked INTEGER,
		word_count INTEGER,
		stickyType INTEGER,

		category TEXT,
		tags TEXT,
		custom_background TEXT,
		create_from TEXT,
		platform_source TEXT,
		app_version TEXT,
		title TEXT,
		content TEXT,
		user_id TEXT,
		collaborators TEXT,
		longitude TEXT,
		latitude TEXT,
		location_name TEXT,
		stickyColor TEXT,

		id_notebook TEXT,
		reminders TEXT,

		include_check_list INTEGER

    );

CREATE
	TABLE notebook
	(
		id INTEGER PRIMARY KEY,
		note_id INTEGER,
		parent_id INTEGER,
		level_id INTEGER,
		count INTEGER,
		locked INTEGER,
		notebook_name TEXT
	);

CREATE
	TABLE note_resource
	(
		id INTEGER PRIMARY KEY,
		note_id INTEGER,
		resourceType TEXT,
		isDraw INTEGER,
		resourceFileUrl TEXT,
		name TEXT,
		width INTEGER,
		height INTEGER,
		length INTEGER,
		size INTEGER
	);


